> # NAME

> cgGetStateAssignmentState - returns the state type of a particular state assignment

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGstate cgGetStateAssignmentState( CGstateassignment sa );

> # PARAMETERS

> sa

>   The state assignment handle.

> # RETURN VALUES

> Returns the state corresponding to the given state assignment.

> Returns NULL if an error occurs.

> # DESCRIPTION

> cgGetStateAssignmentState returns the CGstate object that corresponds to a particular state assignment in a pass. This object can then be queried to find out its type, giving the type of the state assignment.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

> CG_INVALID_STATE_HANDLE_ERROR is generated if the effect doesn't contain a state matching the given state assignment.

> # HISTORY

> cgGetStateAssignmentState was introduced in Cg 1.4.

> # SEE ALSO

> cgGetStateType, cgCreateState, cgCreateArrayState